%define upstream_name    Net-Frame
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    BSD loopback layer object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Class::Gomor) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.999.813
BuildRequires: perl-Math-BigInt
BuildRequires: perl(Net::IPv6Addr)
BuildRequires: perl(Socket) >= 2.19.0
BuildArch:  noarch

%description
*Net::Frame* is a fork of *Net::Packet*. The goal here was to greatly
simplify the use of the frame crafting framework. *Net::Packet* does many
things undercover, and it was difficult to document all the thingies.

Also, *Net::Packet* may suffer from unease of use, because frames were
assembled using layers stored in L2, L3, L4 and L7 attributes. *Net::Frame*
removes all this, and is split into different modules for those who only
want to use part of the framework, and not whole framework.

Finally, anyone can create a layer, and put it on his CPAN space, because
of the modularity *Net::Frame* offers. For an example, see
*Net::Frame::Layer::ICMPv4* on my CPAN space.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# (tv) disable tests that need networking:
rm -f t/13-gethostsubs.t
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.210.0-5.mga10
+ Revision: 2209253
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.210.0-4.mga9
+ Revision: 1819673
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.210.0-3.mga8
+ Revision: 1541132
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 tv <tv> 1.210.0-2.mga8
+ Revision: 1469270
- fix version of BR

* Wed Jul 24 2019 tv <tv> 1.210.0-1.mga8
+ Revision: 1423737
- BR perl-Math-BigInt
- BR perl(Math::BigInt) >= 1.999813
+ shlomif <shlomif>
- update to 1.21
- Rebuild for new perl 5.28.0

* Thu Sep 20 2018 umeabot <umeabot> 1.190.0-2.mga7
+ Revision: 1285121
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 1.190.0-1.mga7
+ Revision: 1231563
- update to 1.19

* Tue Mar 20 2018 shlomif <shlomif> 1.180.0-1.mga7
+ Revision: 1210673
- update to 1.18

* Thu Oct 05 2017 tv <tv> 1.170.0-4.mga7
+ Revision: 1169039
- disable tests that need networking

* Tue Oct 03 2017 tv <tv> 1.170.0-2.mga7
+ Revision: 1165846
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.170.0-1.mga7
+ Revision: 1157178
- new version 1.17

* Sun Jun 19 2016 pterjan <pterjan> 1.160.0-2.mga6
+ Revision: 1031071
- Rebuild for perl 5.22.2

* Thu Mar 17 2016 tv <tv> 1.160.0-1.mga6
+ Revision: 992564
- new release
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 848518
- update to 1.15

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-3.mga5
+ Revision: 748961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 685650
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.110.0-1.mga5
+ Revision: 614912
- update to 1.11

* Thu Mar 13 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 602981
- update to 1.10

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 513436
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 370604
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 1.90.0-1.mga2
+ Revision: 213090
- update to 1.09

* Wed Jan 25 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 200937
- update to 1.08

* Tue Feb 22 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 56643
- update to 1.07

* Sun Jan 23 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 34004
- mageia rebuild
- imported package perl-Net-Frame


* Thu Jan 07 2010 Olivier Thauvin <nanardon@mandriva.org> 1.60.0-1mdv2010.1
+ Revision: 487174
- import perl-Net-Frame


* Thu Jan 07 2010 cpan2dist 1.06-1mdv
- initial mdv release, generated with cpan2dist
